RPM Support - Issue #9233

Downloaded content seems to be removed when a task fails
08/12/2021 12:27 AM - Imjachky

Status: NEW Start date:

Priority: Low Due date:

Assignee: Estimated time: 0:00 hour
Category:

Sprint/Milestone:

Severity: 2. Medium Groomed: No
Version: Sprint Candidate: No
Platform Release: Tags:

0OS: Sprint: Sprint 110
Triaged: Yes Quarter:

Description

For large repositories, this means that when performing immediate synchronization, all the downloaded content is lost after the
task's failure. Pulp is then trying to download the content (artifacts) once again from scratch when issuing re-syncing, rather than
associating the orphaned artifacts with corresponding content units.

More info can be found here: https://community.theforeman.org/t/oracle-linux-8-appstream-sync-fails/24676/9. The following part is
the most important to us:

If you are performing one of these large syncs, and get part way through before the sync fails with the timeout, it seems
everything which was downloaded into the tmp directory is thrown away, and not kept. So, the next time the sync is tried, it has
to download everything again.

Used versions: pulpcore 3.14.3 and pulp_rpm 3.14.0

This behaviour could not be reproduced for pulp_file (https:/fixtures.pulpproject.org/file/; pulpcore 3.15.0.dev and pulp_file 1.9.0.dev);
therefore, we should focus on the pulp_rpm plugin.

History

#1 - 08/12/2021 12:30 AM - Imjachky

- Description updated

#2 - 08/12/2021 12:31 AM - Imjachky

- Description updated

#3 - 08/12/2021 12:32 AM - Imjachky

- Description updated

#4 - 08/12/2021 09:36 AM - Imjachky

- Description updated

#5 - 08/19/2021 05:57 PM - dalley

- Triaged changed from No to Yes

We still need to confirm whether this happens

#6 - 09/02/2021 03:32 AM - dalley
- Sprint set to Sprint 104

#7 - 09/02/2021 05:28 PM - dalley

- Priority changed from Normal to Low
https://community.theforeman.org/t/oracle-linux-8-appstream-sync-fails/24676/9
https://fixtures.pulpproject.org/file/

#8 - 09/10/2021 12:28 AM - rchan
- Sprint changed from Sprint 104 to Sprint 105

#9 - 09/23/2021 11:54 PM - rchan
- Sprint changed from Sprint 105 to Sprint 106

#10 - 10/08/2021 03:16 PM - rchan
- Sprint changed from Sprint 106 to Sprint 107

#11 - 10/21/2021 06:35 PM - rchan
- Sprint changed from Sprint 107 to Sprint 108

#12 - 11/04/2021 10:21 PM - rchan
- Sprint changed from Sprint 108 to Sprint 109

#13 - 11/19/2021 09:39 PM - rchan
- Sprint changed from Sprint 109 to Sprint 110
